libepubgen::EPUBListStyleManager::List Struct Reference documentation

Public Types | Public Member Functions | Protected Attributes | List of all members
libepubgen::EPUBListStyleManager::List Struct Reference

`#include <EPUBListStyleManager.h>`

## Public Types
typedef std::unordered_map< EPUBCSSProperties, std::string, boost::hash< EPUBCSSProperties > > | ContentNameMap_t

## Public Member Functions
| List ()
| constructor More...
| ~List ()
| destructor More...
void | setLevel (int lvl, librevenge::RVNGPropertyList const &property, bool ordered)
| set the property correspond to a level More...
void | openLevel () const
| open a new level More...
void | closeLevel () const
| open a new level More...
const EPUBCSSProperties & | getCurrentProperties () const
| return the properties of the current level More...

## Protected Attributes
std::vector< EPUBCSSProperties > | m_contentsList
| the properties More...
int | m_level
| the actual list level More...

## Member Typedef Documentation

## ◆ ContentNameMap_t

typedef std::unordered_map<EPUBCSSProperties, std::string, boost::hash<EPUBCSSProperties> > libepubgen::EPUBListStyleManager::List::ContentNameMap_t

## Constructor & Destructor Documentation

## ◆ List()

libepubgen::EPUBListStyleManager::List::List | ( |  | ) |
| inline

constructor

## ◆ ~List()

libepubgen::EPUBListStyleManager::List::~List | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ closeLevel()

void libepubgen::EPUBListStyleManager::List::closeLevel | ( |  | ) | const
| inline

open a new level

## ◆ getCurrentProperties()

const EPUBCSSProperties & libepubgen::EPUBListStyleManager::List::getCurrentProperties | ( |  | ) | const

return the properties of the current level

## ◆ openLevel()

void libepubgen::EPUBListStyleManager::List::openLevel | ( |  | ) | const
| inline

open a new level

## ◆ setLevel()

void libepubgen::EPUBListStyleManager::List::setLevel | ( | int | lvl,
|  | librevenge::RVNGPropertyList const & | property,
|  | bool | ordered
| ) |  |

set the property correspond to a level

## Member Data Documentation

## ◆ m_contentsList

std::vector<EPUBCSSProperties> libepubgen::EPUBListStyleManager::List::m_contentsList
| protected

the properties

Referenced by setLevel().

## ◆ m_level

int libepubgen::EPUBListStyleManager::List::m_level
| mutableprotected

the actual list level

Referenced by closeLevel(), and openLevel().

The documentation for this struct was generated from the following files:

- EPUBListStyleManager.h
- EPUBListStyleManager.cpp